# Moderator API . profiles

## Instance Methods

Returns the profile information for the authenticated user.

Updates the profile information for the authenticated user. This method supports patch semantics.

Updates the profile information for the authenticated user.

### Method Details

`get()`

    Returns the profile information for the authenticated user.

    Args:

    Returns:
      An object of the form:

        {
          "kind": "moderator#profile",
          "attribution": {
            "geo": {
              "latitude": 3.14,
              "location": "A String",
              "longitude": 3.14,
            },
            "displayName": "A String",
            "location": "A String",
            "avatarUrl": "A String",
          },
          "id": {
            "user": "A String",
          },
        }

`patch(body)`

    Updates the profile information for the authenticated user. This method supports patch semantics.

    Args:
      body: object, The request body. (required)
        The object takes the form of:

    {
        "kind": "moderator#profile",
        "attribution": {
          "geo": {
            "latitude": 3.14,
            "location": "A String",
            "longitude": 3.14,
          },
          "displayName": "A String",
          "location": "A String",
          "avatarUrl": "A String",
        },
        "id": {
          "user": "A String",
        },
      }

    Returns:
      An object of the form:

        {
          "kind": "moderator#profile",
          "attribution": {
            "geo": {
              "latitude": 3.14,
              "location": "A String",
              "longitude": 3.14,
            },
            "displayName": "A String",
            "location": "A String",
            "avatarUrl": "A String",
          },
          "id": {
            "user": "A String",
          },
        }

`update(body)`

    Updates the profile information for the authenticated user.

    Args:
      body: object, The request body. (required)
        The object takes the form of:

    {
        "kind": "moderator#profile",
        "attribution": {
          "geo": {
            "latitude": 3.14,
            "location": "A String",
            "longitude": 3.14,
          },
          "displayName": "A String",
          "location": "A String",
          "avatarUrl": "A String",
        },
        "id": {
          "user": "A String",
        },
      }

    Returns:
      An object of the form:

        {
          "kind": "moderator#profile",
          "attribution": {
            "geo": {
              "latitude": 3.14,
              "location": "A String",
              "longitude": 3.14,
            },
            "displayName": "A String",
            "location": "A String",
            "avatarUrl": "A String",
          },
          "id": {
            "user": "A String",
          },
        }